package com.malk.aipocloud.service;

import java.time.LocalDateTime;

public interface ABClient {

    /**
     * 通讯录同步
     */
    void syncContact();

    /**
     * 同步审批单 [prd 审批去重逻辑：用户 + 通道 + md5 + 有效期（审批通过且在生效时间内）] - 查询5min, 避免拒绝\撤销重复推送问题
     */
    void syncProcess(LocalDateTime sTime, LocalDateTime eTime);

    /**
     * 审批回调
     */
    void callbackApprove(String processCode, String processInstanceId, String state, String staffId);
}
